Bug 1118885 - Review Request: gsimplecal - Simple GTK calendar
Summary: Review Request: gsimplecal - Simple GTK calendar
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Patrick Uiterwijk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 19:22 UTC by James Wrigley
Modified: 2015-12-20 17:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description James Wrigley 2014-07-11 19:22:42 UTC
Spec URL: http://jamesnz.fedorapeople.org/gsimplecal/gsimplecal.spec
SRPM URL: http://jamesnz.fedorapeople.org/gsimplecal/gsimplecal-2.0-1.fc20.src.rpm
Description: Gsimplecal is a lightweight calendar applet written in C++ with GTK. It was written for use with tint2 and Openbox (though it will work without them).
Fedora Account System Username: jamesnz

Koji build is here: http://koji.fedoraproject.org/koji/taskinfo?taskID=7127140
And here's the output of rpmlint:
$ rpmlint gsimplecal.spec ../RPMS/x86_64/gsimplecal-2.0-1.fc20.x86_64.rpm ../SRPMS/gsimplecal-2.0-1.fc20.src.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 1 Ranjan Maitra 2015-12-02 04:27:43 UTC
Does this package still need a review?

Comment 2 James Wrigley 2015-12-02 18:44:02 UTC
Yes.

Comment 3 Ranjan Maitra 2015-12-02 20:44:51 UTC
I am an unofficial reviewer. But I can provide my review of this package, FWIW,  since I have used the software in the past. Could you please, however, update the src.rpm to build with Fedora 23?

Thanks!

Comment 4 Upstream Release Monitoring 2015-12-03 16:03:59 UTC
pbrobinson's scratch build of gtk-sharp-beans?#bbba0aef7a4bd673006df5b9a85a5763d9c026bc for epel7-archbootstrap and git://pkgs.fedoraproject.org/gtk-sharp-beans?#bbba0aef7a4bd673006df5b9a85a5763d9c026bc failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12037959

Comment 5 Upstream Release Monitoring 2015-12-03 16:06:19 UTC
pbrobinson's scratch build of gtk-murrine-engine?#b4bddbf235c281d671c99e8008f609b6d4e314d0 for epel7-archbootstrap and git://pkgs.fedoraproject.org/gtk-murrine-engine?#b4bddbf235c281d671c99e8008f609b6d4e314d0 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12037955

Comment 6 James Wrigley 2015-12-04 09:41:52 UTC
Thanks :)

Spec URL: https://jamesnz.fedorapeople.org/gsimplecal/gsimplecal.spec
SRPM URL: https://jamesnz.fedorapeople.org/gsimplecal/gsimplecal-2.1-1.fc23.src.rpm
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=12050029

Output of rpmlint:
$ SPECS  rpmlint gsimplecal.spec ../RPMS/x86_64/gsimplecal-2.1-1.fc23.x86_64.rpm ../SRPMS/gsimplecal-2.1-1.fc23.src.rpm
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 7 Ranjan Maitra 2015-12-05 20:37:25 UTC
I have reviewed your package and here is my report. Note that I also used fedora-review tool which I would suggest you do, also. Some of the responses from fedora-review tool, I believe, are not useful to your package, but many others, eg: licensing are. 

You will need to create a mock account (after instalation of mock) and then run:

$ fedora-review -m fedora-rawhide-x86_64 -b 1118885

(Note: because of a bug, fedora-review hangs almost interminably, but eventually does terminate.)

...
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file COPYING is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (2 clause)", "Unknown or generated". 25 files have unknown
     license. Detailed output of licensecheck in
     /home/maitra/Downloads/mock/1118885-gsimplecal/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 4 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     gsimplecal-debuginfo
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.

Comment 8 Ranjan Maitra 2015-12-20 17:30:05 UTC
Tried fedora-review on this and get errors as follows:

$ fedora-review -m fedora-rawhide-x86_64 -b 1292209
INFO: Processing bugzilla bug: 1292209
INFO: Getting .spec and .srpm Urls from : 1292209
INFO:   --> SRPM url: https://in.waw.pl/~zbyszek/fedora/python-nsdf-0.0-1.git2153112.fc24.src.rpm
INFO:   --> Spec url: https://in.waw.pl/~zbyszek/fedora/python-nsdf.spec
INFO: Using review directory: /home/maitra/Downloads/mock/1292209-python-nsdf
INFO: Downloading .spec and .srpm files
ERROR: 'Error [Errno socket error] [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:590) downloading https://in.waw.pl/~zbyszek/fedora/python-nsdf-0.0-1.git2153112.fc24.src.rpm' (logs in /home/maitra/.cache/fedora-review.log)

Comment 9 Ranjan Maitra 2015-12-20 17:32:41 UTC
Sorry, wanted to add that the review log has the following:

 File "/usr/lib/python2.7/site-packages/FedoraReview/helpers_mixin.py", line 94
, in urlretrieve
    raise DownloadError(str(err), url)
DownloadError: 'Error [Errno socket error] [SSL: CERTIFICATE_VERIFY_FAILED] cert
ificate verify failed (_ssl.c:590) downloading https://in.waw.pl/~zbyszek/fedora
/python-nsdf-0.0-1.git2153112.fc24.src.rpm'
12-20 11:29 root         ERROR    ERROR: 'Error [Errno socket error] [SSL: CERTI
FICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:590) downloading https:/
/in.waw.pl/~zbyszek/fedora/python-nsdf-0.0-1.git2153112.fc24.src.rpm' (logs in /
home/maitra/.cache/fedora-review.log)

Not sure about these errors: I have all the requires installed.)


Note You need to log in before you can comment on or make changes to this bug.